2017-03-27 01:45 AM - Patrice V

Status: Closed

Priority: Normal

Assignee:

Category: Geometry

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: no timely feedback
Crashes QGIS or corrupls data: Copied to github as #: 24290
Description

Hi,

| use qgis-dev version on windows 7:
2.99.0-Master - 8b9e492

Using pyqgis, | get the following error when a try to create a multipolyline geometry from a list of list of QgsPoint :

test = qgis.core.QgsGeometry.fromMultiPolyline(multipoly)
TypeError: fromMultiPolyline(object): argument 1 has unexpected type 'list'

Also, when | do :
polygon = parentfet.geometry().asMultiPolygon()
qgis is dumping (the same code works on qgis 2.18)

Something is wrong with the pyqgis geometry class....

Regards,

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No

#2 - 2018-09-17 04:06 PM - Loic BARTOLETTI

Can you retry with newest version of QGIS 3?

Just trying:

test = QgsGeometry.fromMultiPolylineXY ([[QgsPointXY (0, 0), QgsPointXY(1, 1), QgsPointXY(2, 2), QgsPointXY(0,0)], [QgsPointXY(10,0),
QgsPointXY(11,1), QgsPointXY(12,2), QgsPointXY(10,0)]])

test

<QgsGeometry: MultiLineString ((00,11,22,00),(100, 111,122, 10 0))>

#3 - 2018-09-17 07:48 PM - Giovanni Manghi
- Description updated
- Status changed from Open to Feedback
#4 - 2019-02-23 08:36 PM - Jiirgen Fischer
- Resolution set to no timely feedback
- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version. Feel free to reopen if it still applies to a current version and you
have more information that clarify the issue.
